## acmetool 0.0.51

=== debian/changelog ===
acmetool (0.0.51-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream
  * Build depend on
    - golang-gopkg-cheggaaa-pb.v1-dev
    - golang-gopkg-square-go-jose.v1-dev
    - golang-github-hlandau-degoutils-dev (>= 0.0~git20160421.0.389a847)
  * Build depend on dh-golang (>= 1.17~) and install with --no-source
  * Do not compress example scripts
  * Add lintian overrides for spelling error false positives

 -- Peter Colberg <peter@colberg.org>  Wed, 18 May 2016 07:48:14 -0400

acmetool (0.0.49-1) unstable; urgency=medium

  * Initial release (Closes: #817091)

 -- Peter Colberg <peter@colberg.org>  Sun, 15 May 2016 15:48:08 +0000

## acmetool 0.0.59

=== Makefile ===
PROJNAME=github.com/hlandau/acme
BINARIES=$(PROJNAME)/cmd/acmetool

###############################################################################
# v1.12  NNSC:github.com/hlandau/degoutils/_stdenv/Makefile.ref
# This is a standard Makefile for building Go code designed to be copied into
# other projects. Code below this line is not intended to be modified.
#
# NOTE: Use of this Makefile is not mandatory. People familiar with the use
# of the "go" command who have a GOPATH setup can use go get/go install.

# XXX: prebuild-checks needs bash, fix this at some point
SHELL := $(shell which bash)

-include Makefile.extra
-include Makefile.assets

## Paths
ifeq ($(GOPATH),)
# for some reason export is necessary for FreeBSD's gmake
export GOPATH := $(shell pwd)
endif
ifeq ($(GOBIN),)
export GOBIN := $(GOPATH)/bin
endif
ifeq ($(PREFIX),)
export PREFIX := /usr/local
endif

DIRS=src bin public

## Quieting
Q=@
QI=@echo -e "\t[$(1)]\t  $(2)";
ifeq ($(V),1)
	Q=
	QI=
endif

## Buildinfo
ifeq ($(USE_BUILDINFO),1)
	BUILDINFO_FLAG=-ldflags "$$($$GOPATH/src/github.com/hlandau/buildinfo/gen $(1))"
endif

## Standard Rules
all: prebuild-checks $(DIRS)
	$(call QI,GO-INSTALL,$(BINARIES))go install $(BUILDFLAGS) $(call BUILDINFO_FLAG,$(BINARIES)) $(BINARIES)

prebuild-checks:
	$(call QI,RELOCATE)if [ `find . -iname '*.go' | grep -v ./src/ | wc -l` != 0 ]; then \
		if [ -e "$(GOPATH)/src/$(PROJNAME)/" ]; then \
			echo "$$GOPATH/src/$(PROJNAME)/ already exists, can't auto-relocate. Since you appear to have a GOPATH configured, just use go get -u '$(PROJNAME)/...; go install $(BINARIES)'. Alternatively, move this Makefile to either GOPATH or an empty directory outside GOPATH (preferred) and run it. Or delete '$$GOPATH/src/$(PROJNAME)/'."; \
			exit 1; \
		fi; \
		mkdir -p "$(GOPATH)/src/$(PROJNAME)/"; \
		for x in ./* ./.*; do \
			[ "$$x" == "./src" ] && continue; \
			mv -n "$$x" "$(GOPATH)/src/$(PROJNAME)/"; \
		done; \
		ln -s "$(GOPATH)/src/$(PROJNAME)/Makefile"; \
		[ -e "$(GOPATH)/src/$(PROJNAME)/_doc" ] && ln -s "$(GOPATH)/src/$(PROJNAME)/_doc" doc; \
		[ -e "$(GOPATH)/src/$(PROJNAME)/_tpl" ] && ln -s "$(GOPATH)/src/$(PROJNAME)/_tpl" tpl; \
	fi; \
	exit 0

$(DIRS): | .gotten
	$(call QI,DIRS)mkdir -p $(GOPATH)/src $(GOBIN); \
  if [ ! -e "src" ]; then \
	  ln -s $(GOPATH)/src src; \
	fi; \
	if [ ! -e "bin" ]; then \
		ln -s $(GOBIN) bin; \
	fi

.gotten:
	$(call QI,GO-GET,$(PROJNAME))go get $(PROJNAME)/...
	$(Q)touch .gotten

.NOTPARALLEL: prebuild-checks $(DIRS)
.PHONY: all test install prebuild-checks

test:
	$(call QI,GO-TEST,$(PROJNAME))for x in $(PROJNAME); do go test -cover -v $$x/...; done

install: all
	$(call QI,INSTALL,$(BINARIES))for x in $(BINARIES); do \
		install -Dp $(GOBIN)/`basename "$$x"` $(DESTDIR)$(PREFIX)/bin; \
	done

update: | .gotten
	$(call QI,GO-GET,$(PROJNAME))go get -u $(PROJNAME)/...

## acmetool 0.0.56

=== debian/changelog ===
acmetool (0.0.56-2) unstable; urgency=medium

  * Add example for live-updated hook to README.Debian
  * Remove lintian override for libyaml, no longer needed with Go 1.7

 -- Peter Colberg <peter@colberg.org>  Sun, 28 Aug 2016 08:34:17 -0400

acmetool (0.0.56-1) unstable; urgency=high

  * New upstream release (Closes: #833494)
  * Revert to degoutils due to missing upstream licenses
  * Document response file for unattended subscriber agreement in README.Debian

 -- Peter Colberg <peter@colberg.org>  Sat, 06 Aug 2016 08:54:28 -0400

acmetool (0.0.54-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Thu, 23 Jun 2016 08:33:22 -0400

=== debian/control ===
Source: acmetool
Section: web
Priority: extra
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-github-coreos-go-systemd-dev,
               golang-github-hlandau-degoutils-dev (>= 0.0~git20160421.0.389a847),
               golang-github-hlandau-xlog-dev,
               golang-github-jmhodges-clock-dev,
               golang-github-mitchellh-go-wordwrap-dev,
               golang-github-peterhellberg-link-dev,
               golang-github-satori-go.uuid-dev,
               golang-go,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-gopkg-hlandau-easyconfig.v1-dev,
               golang-gopkg-hlandau-service.v2-dev,
               golang-gopkg-hlandau-svcutils.v1-dev,
               golang-gopkg-square-go-jose.v1-dev,
               golang-gopkg-tylerb-graceful.v1-dev,
               golang-yaml.v2-dev
Standards-Version: 3.9.8
Homepage: https://hlandau.github.io/acme
Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/acmetool.git
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/acmetool.git
XS-Go-Import-Path: github.com/hlandau/acme

Package: acmetool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dialog
Built-Using: ${misc:Built-Using}
Description: automatic certificate acquisition tool for Let's Encrypt
 acmetool is an easy-to-use command line tool for automatically
 acquiring TLS certificates from ACME (Automated Certificate Management
 Environment) servers such as Let's Encrypt, designed to flexibly
 integrate into your webserver setup to enable automatic verification.
 .
 acmetool is designed to work like make: you specify what certificates
 you want, and acmetool obtains certificates as necessary to satisfy
 those requirements. If the requirements are already satisfied,
 acmetool doesn't do anything when invoked. Thus, acmetool is
 ideally suited for use on a cron job; it will do nothing until
 certificates are near expiry, and then obtain new ones.
 .
 acmetool is designed to minimise the use of state and be transparent
 in the state that it does use. All state, including certificates, is
 stored in a single directory, by default /var/lib/acme. The schema
 for this directory is simple, comprehensible and documented.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Override default hooks path (see _doc/PACKAGING-PATHS.md)
GO_LDFLAGS += -X github.com/hlandau/acme/hooks.DefaultPath=/etc/acme/hooks
# Set version information for acmetool --version
GO_LDFLAGS += -X github.com/hlandau/degoutils/buildinfo.RawBuildInfo=$(shell echo -n "acmetool Debian version $(DEB_VERSION)" | base64)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags "$(GO_LDFLAGS)"

# Disable OCSP test to avoid network access
override_dh_auto_test:
	dh_auto_test -O--buildsystem=golang -- -run '^Test([^O]|O[^C]|OC[^S]|OCS[^P])'

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -- --no-source
	mkdir -p debian/acmetool/usr/share/man/man8
	debian/acmetool/usr/bin/acmetool --help-man > debian/acmetool/usr/share/man/man8/acmetool.8

override_dh_compress:
	dh_compress --exclude=examples

## acmetool 0.0.58

=== debian/changelog ===
acmetool (0.0.58-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Peter Colberg <peter@colberg.org>  Fri, 25 Nov 2016 23:23:05 -0500

acmetool (0.0.58-4) unstable; urgency=medium

  * Skip parseperm test if cgo is disabled

 -- Peter Colberg <peter@colberg.org>  Sun, 20 Nov 2016 22:40:27 -0500

acmetool (0.0.58-3) unstable; urgency=medium

  * Build-depend on libcap-dev for linux-any.
    Fixes FTBFS with golang-gopkg-hlandau-svcutils.v1 >= 1.0.10-4

 -- Peter Colberg <peter@colberg.org>  Sun, 20 Nov 2016 13:44:03 -0500

acmetool (0.0.58-2) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Build-depend on golang-any instead of golang-go
  * Build-depend on golang-gopkg-yaml.v2-dev or golang-yaml.v2-dev

 -- Peter Colberg <peter@colberg.org>  Sat, 19 Nov 2016 23:52:06 -0500

acmetool (0.0.58-1) unstable; urgency=medium

  * New upstream release
  * Drop patch and build dependency on golang-github-hlandau-degoutils-dev
  * Build depend on golang-github-hlandau-goutils-dev
  * Build depend on golang-github-hlandau-dexlogconfig-dev
  * Add copy of upstream license text

 -- Peter Colberg <peter@colberg.org>  Wed, 19 Oct 2016 08:02:06 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: extra
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang (>= 1.17~),
+               golang-any,
                golang-github-coreos-go-systemd-dev,
-               golang-github-hlandau-degoutils-dev (>= 0.0~git20160421.0.389a847),
+               golang-github-hlandau-dexlogconfig-dev,
+               golang-github-hlandau-goutils-dev,
                golang-github-hlandau-xlog-dev,
                golang-github-jmhodges-clock-dev,
                golang-github-mitchellh-go-wordwrap-dev,
                golang-github-peterhellberg-link-dev,
                golang-github-satori-go.uuid-dev,
-               golang-go,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
@@ -22,7 +23,8 @@
                golang-gopkg-hlandau-svcutils.v1-dev,
                golang-gopkg-square-go-jose.v1-dev,
                golang-gopkg-tylerb-graceful.v1-dev,
-               golang-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
+               libcap-dev [linux-any]
 Standards-Version: 3.9.8
 Homepage: https://hlandau.github.io/acme
 Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/acmetool.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Override default hooks path (see _doc/PACKAGING-PATHS.md)
 GO_LDFLAGS += -X github.com/hlandau/acme/hooks.DefaultPath=/etc/acme/hooks
 # Set version information for acmetool --version
-GO_LDFLAGS += -X github.com/hlandau/degoutils/buildinfo.RawBuildInfo=$(shell echo -n "acmetool Debian version $(DEB_VERSION)" | base64)
+GO_LDFLAGS += -X github.com/hlandau/buildinfo.RawBuildInfo=$(shell echo -n "acmetool Debian version $(DEB_VERSION)" | base64)
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## acmetool 0.0.59

=== debian/changelog ===
acmetool (0.0.59-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Peter Colberg <peter@colberg.org>  Mon, 19 Jun 2017 18:52:55 -0400

acmetool (0.0.59-1) unstable; urgency=medium

  * New upstream release
    - Validate hostnames in 'acmetool want'
    - Allow environment variables to be passed to challenge hooks
    - Allow acmeapi to obtain new nonces if nonce pool is depleted
    - Don't attempt fdb permission tests on non-cgo builds
    - Add read/write timeouts to redirector server
    - Allow hidden files within the state directory

  [ Peter Colberg ]
  * Fix import path of square/go-jose

 -- Peter Colberg <peter@colberg.org>  Sun, 19 Feb 2017 22:41:49 -0500

acmetool (0.0.58-5) unstable; urgency=medium

  * Rewrite README.Debian
  * Add optional systemd service and timer
  * Create and purge directory /var/lib/acme
  * Create and purge directory /var/log/acmetool
  * Create directory /etc/acme/hooks
  * Add /usr/lib/tmpfiles.d/acmetool.conf
  * Add /etc/rsyslog.d/acmetool.conf
  * Add /etc/logrotate.d/acmetool
  * Add /etc/nginx/snippets/acmetool.conf
  * Add /etc/apache2/conf-available/acmetool.conf
  * Replace Debian with DEB_VENDOR in --version
  * Add lintian override for spelling false positive

 -- Peter Colberg <peter@colberg.org>  Sun, 08 Jan 2017 23:50:30 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.2.3~),
+               dh-apache2,
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-coreos-go-systemd-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 # Override default hooks path (see _doc/PACKAGING-PATHS.md)
 GO_LDFLAGS += -X github.com/hlandau/acme/hooks.DefaultPath=/etc/acme/hooks
 # Set version information for acmetool --version
-GO_LDFLAGS += -X github.com/hlandau/buildinfo.RawBuildInfo=$(shell echo -n "acmetool Debian version $(DEB_VERSION)" | base64)
+GO_LDFLAGS += -X github.com/hlandau/buildinfo.RawBuildInfo=$(shell echo -n 'acmetool $(DEB_VENDOR) version $(DEB_VERSION)' | base64)
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang --with=golang,apache2
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- -ldflags "$(GO_LDFLAGS)"
@@ -24,3 +24,11 @@
 
 override_dh_compress:
 	dh_compress --exclude=examples
+
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable acmetool.timer
+
+override_dh_systemd_start:
+	dh_systemd_start --no-start acmetool.timer
+
+override_dh_installinit:

## acmetool 0.0.62

=== debian/changelog ===
acmetool (0.0.62-2) unstable; urgency=medium

  * Fix undefined status code in redirector test (Closes: #890925)

 -- Peter Colberg <peter@colberg.org>  Sat, 17 Mar 2018 00:21:04 -0400

acmetool (0.0.62-1) unstable; urgency=medium

  * New upstream release

  [ Michael Stapelberg ]
  * Drop unnecessary -O--buildsystem=golang args. (Closes: #879276)

  [ Peter Colberg ]
  * Update Vcs-* fields for move to salsa.debian.org
  * Update Let's Encrypt Subscriber Agreement URL in README.Debian
  * Skip tests if DEB_BUILD_OPTIONS contains nocheck
  * Set Priority to optional as per policy 4.0.1
  * Remove unused lintian overrides for spelling false positive
  * Bump Standards-Version to 4.1.3

 -- Peter Colberg <peter@colberg.org>  Mon, 05 Feb 2018 21:12:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: acmetool
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
 Build-Depends: debhelper (>= 10.2.3~),
@@ -26,10 +26,10 @@
                golang-gopkg-tylerb-graceful.v1-dev,
                golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
                libcap-dev [linux-any]
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://hlandau.github.io/acme
-Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/acmetool.git
-Vcs-Git: https://anonscm.debian.org/git/letsencrypt/acmetool.git
+Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acmetool
+Vcs-Git: https://salsa.debian.org/letsencrypt-team/acmetool.git
 XS-Go-Import-Path: github.com/hlandau/acme
 
 Package: acmetool

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,16 @@
 	dh $@ --buildsystem=golang --with=golang,apache2
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -ldflags "$(GO_LDFLAGS)"
+	dh_auto_build -- -ldflags "$(GO_LDFLAGS)"
 
 # Disable OCSP test to avoid network access
 override_dh_auto_test:
-	dh_auto_test -O--buildsystem=golang -- -run '^Test([^O]|O[^C]|OC[^S]|OCS[^P])'
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- -run '^Test([^O]|O[^C]|OC[^S]|OCS[^P])'
+endif
 
 override_dh_auto_install:
-	dh_auto_install -O--buildsystem=golang -- --no-source
+	dh_auto_install -- --no-source
 	mkdir -p debian/acmetool/usr/share/man/man8
 	debian/acmetool/usr/bin/acmetool --help-man > debian/acmetool/usr/share/man/man8/acmetool.8

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acme-$1\.tar\.gz/ \
  https://github.com/hlandau/acme/tags .*/v?(\d\S*)\.tar\.gz

## acmetool 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PROJNAME=github.com/hlandau/acme
-BINARIES=$(PROJNAME)/cmd/acmetool
+PROJNAME=git.devever.net/hlandau/acmetool
+BINARIES=$(PROJNAME)
 
 ###############################################################################
 # v1.12  NNSC:github.com/hlandau/degoutils/_stdenv/Makefile.ref

=== _doc/guide/Makefile ===
ifneq ($(NIX_PATH),)
  # NixOS
  DOCBOOK_XSL := $(shell echo "$(buildInputs)" | tr ' ' '\n' | grep docbook)/xml/xsl/docbook
else
  # Alpine
  DOCBOOK_XSL := $(shell echo /usr/share/xml/docbook/xsl-stylesheets-*)
endif

all: out/index.xhtml out/img out/style.css

clean:
	rm -rf tmp out

deploy:
	rsync -rltv --perms=D755,F644 out/ drone@rem.devever.net::doc/acmetool/

out/img: img
	rsync -a "$<"/ "$@"/

out/style.css: style.css out/index.xhtml
	cat out/docbook.css style.css > "$@"

out/index.xhtml: out/index.docbook tmp/acmetool.8.docbook include-man.xsl to-xhtml.xsl
	rm -f docbook-xsl
	ln -s "$(DOCBOOK_XSL)" docbook-xsl
	xsltproc \
	  --stringparam html.stylesheet style.css \
	  --nonet --output "$@" \
	  to-xhtml.xsl "$<"

out/index.docbook: tmp/index.docbook tmp/acmetool.8.docbook include-man.xsl to-xhtml.xsl
	xsltproc --xinclude --xincludestyle --nonet --output "$@" include-man.xsl "$<"

tmp/%.docbook: %.adoc
	mkdir -p tmp
	asciidoctor -r asciidoctor-diagram -b docbook5 -o "$@" "$<"

=== debian/changelog ===
acmetool (0.2.1-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 18 Jan 2023 11:36:05 +0100

acmetool (0.2.1-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:51:31 +0200

acmetool (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1 (Closes: #942504)
  * Refresh patches
  * Update upstream URL
  * Add Build-Depends on golang-gopkg-hlandau-acmeapi.v2-dev
  * Drop exclusion of OCSP test
  * Update Let's Encrypt provider URL in README.Debian
  * Update example source paths
  * Describe upgrade to ACME v2 in NEWS
  * Substitute golang-github-gofrs-uuid-dev for golang-github-satori-go.uuid-dev
  * Update Standards-Version to 4.5.0
  * Add Testsuite autopkgtest-pkg-go
  * Replace /var/run with /run in Debian-specific files

 -- Peter Colberg <peter@colberg.org>  Sun, 23 Feb 2020 20:43:36 -0500

acmetool (0.0.62-3) unstable; urgency=medium

  * Use https for copyright-format URL
  * Update Standards-Version to 4.2.1
  * Update Maintainer address.
    Thanks to Lukas Schwaighofer (Closes: #899439)

 -- Peter Colberg <peter@colberg.org>  Sat, 17 Nov 2018 00:29:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: acmetool
 Section: web
 Priority: optional
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
 Build-Depends: debhelper (>= 10.2.3~),
                dh-apache2,
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-coreos-go-systemd-dev,
+               golang-github-gofrs-uuid-dev,
                golang-github-hlandau-dexlogconfig-dev,
                golang-github-hlandau-goutils-dev,
                golang-github-hlandau-xlog-dev,
                golang-github-jmhodges-clock-dev,
                golang-github-mitchellh-go-wordwrap-dev,
                golang-github-peterhellberg-link-dev,
-               golang-github-satori-go.uuid-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-gopkg-hlandau-acmeapi.v2-dev,
                golang-gopkg-hlandau-easyconfig.v1-dev,
                golang-gopkg-hlandau-service.v2-dev,
                golang-gopkg-hlandau-svcutils.v1-dev,
@@ -26,11 +28,12 @@
                golang-gopkg-tylerb-graceful.v1-dev,
                golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
                libcap-dev [linux-any]
-Standards-Version: 4.1.3
-Homepage: https://hlandau.github.io/acme
+Standards-Version: 4.5.0
+Homepage: https://hlandau.github.io/acmetool
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acmetool
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/acmetool.git
-XS-Go-Import-Path: github.com/hlandau/acme
+XS-Go-Import-Path: github.com/hlandau/acmetool
+Testsuite: autopkgtest-pkg-go
 
 Package: acmetool
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acme-$1\.tar\.gz/ \
  https://github.com/hlandau/acmetool/tags .*/v?(\d\S*)\.tar\.gz

## acmetool 0.2.2

=== debian/changelog ===
acmetool (0.2.2-3) unstable; urgency=medium

  * Do not stop systemd timer when the package is upgraded.
    Thanks to Timothy Allen and Guilherme Puida Moreira (Closes: #1060297)

 -- Peter Colberg <peter@colberg.org>  Sun, 01 Jun 2025 13:34:00 -0400

acmetool (0.2.2-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Install systemd units only once when dh_installsystemd moves to /usr.
    (Closes: #1054192)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Oct 2023 13:19:07 +0200

acmetool (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Revert "Switch to using fork of go-systemd, dbus"
  * Fix FTBFS due to signature verification error (Closes: #997130)
  * Drop obsolete versioned constraint on dh-golang
  * Rename deprecated tmpfile to tmpfiles
  * Bump standards version

 -- Peter Colberg <peter@colberg.org>  Sun, 05 Feb 2023 22:30:40 -0500

acmetool (0.2.1-4) unstable; urgency=medium

  * Change Maintainer to Debian Go Packaging Team
  * Bump debhelper compat level to 13

 -- Peter Colberg <peter@colberg.org>  Mon, 21 Dec 2020 14:22:34 -0500

acmetool (0.2.1-3) unstable; urgency=medium

  [ Peter Colberg ]
  * Update Vcs-* fields for move to go-team
  * Update User's Guide URL in README.Debian
  * Provide actual target file syntax in NEWS
  * Bump debian/watch version to 4
  * Bump Standards-Version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Peter Colberg <peter@colberg.org>  Mon, 21 Dec 2020 14:04:35 -0500

acmetool (0.2.1-2) unstable; urgency=medium

  * Run wrap-and-sort -ast
  * Bump debhelper compat level to 12
  * Drop Build-Depends on golang-github-peterhellberg-link-dev
  * Drop Build-Depends on golang-golang-x-crypto-dev
  * Add Build-Depends-Arch for architecture-dependent build dependencies
  * Add Rules-Requires-Root: no
  * Substitute dh_installsystemd for deprecated dh_systemd_{enable,start}

 -- Peter Colberg <peter@colberg.org>  Sun, 01 Mar 2020 21:47:29 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# Override default hooks path (see _doc/PACKAGING-PATHS.md)
GO_LDFLAGS += -X github.com/hlandau/acmetool/hooks.DefaultPath=/etc/acme/hooks
# Set version information for acmetool --version
GO_LDFLAGS += -X github.com/hlandau/buildinfo.RawBuildInfo=$(shell echo -n 'acmetool $(DEB_VENDOR) version $(DEB_VERSION)' | base64)

%:
	dh $@ --buildsystem=golang --with=golang,apache2

override_dh_auto_build:
	dh_auto_build -- -ldflags "$(GO_LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- --no-source
	mkdir -p debian/acmetool/usr/share/man/man8
	debian/acmetool/usr/bin/acmetool --help-man > debian/acmetool/usr/share/man/man8/acmetool.8

override_dh_compress:
	dh_compress --exclude=examples

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start --no-stop-on-upgrade acmetool.timer

override_dh_installinit:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acme-$1\.tar\.gz/ \
  https://github.com/hlandau/acmetool/tags .*/v?(\d\S*)\.tar\.gz
